Subject: AbstractXmlParserTest dies with a PHP error
Description

The unit test AbstractXmlParserTest::throwsExceptionWhenBadFilenameGiven() dies with following PHP error on my machine
(Win 7, PHP 5.3):

C:\[...]\flow3\Packages\Framework\FLOW3\Classes\Locale\Xml\AbstractXmlParser.php:88
Warning: simplexml_load_file() [<a href='function.simplexml-load-file'>function.simplexml-load-file</a>]: I/O warning : failed to
load external entity &quot;foo&quot; in C:\[...]\flow3\Packages\Framework\FLOW3\Classes\Locale\Xml\AbstractXmlParser.php
line 88

Associated revisions
Revision 35ba32d6 - 2010-07-13 15:58 - Karol Gusak

[+BUGFIX] FLOW3 (Locale): Fixed warning when bad filename given in AbstractXmlParser. Resolves #8846.

Revision de0434bb - 2010-07-14 19:43 - Karol Gusak

[+BUGFIX] FLOW3 (I18n): Fixed warning when bad filename given in AbstractXmlParser (again). Resolves #8846.

History
#1 - 2010-07-13 16:00 - Karol Gusak
- Status changed from New to Resolved
- % Done changed from 0 to 100

Applied in changeset r4850.

#2 - 2010-07-14 18:54 - Bastian Waidelich
- Status changed from Resolved to Needs Feedback

Hi Karol,

I'm still getting the PHP Warning in the FLOW3 Testrunner, don't you?
Besides, we're trying to avoid the Error Control Operator (@) in FLOW3 as it's bad practice and error prone.
Instead it might help to check, whether the target filename exists before calling simplexml_load_file().
If that is not enough to prevent the error, you can call most SimpleXML functions with an LIBXML_NOERROR option (see 
http://de2.php.net/simplexml_load_file)

#3 - 2010-07-14 19:45 - Karol Gusak
- Status changed from Needs Feedback to Resolved

Applied in changeset r4859.

#4 - 2010-07-14 19:46 - Karol Gusak

Uhm no I'm not getting any warning, maybe a misconfiguration.

Thank you for advices! Also, I saw the Error Control Operator somewhere in the code (can't remember where though).

I hope it is OK now.

#5 - 2010-07-14 20:39 - Bastian Waidelich

Karol Gusak wrote:

Uhm no I'm not getting any warning, maybe a misconfiguration.

Strange. Anyways, it works now for me, thanks!

Also, I saw the Error Control Operator somewhere in the code (can't remember where though).

That's possible.. It's pretty hard to find the occurences via search & replace..
But I've added a ticket #8864 so it might be added to the CGL soon.

#6 - 2010-07-15 13:34 - Karsten Dambekalns
- Target version set to 1.0 alpha 11
